Skip to main content
POST
Send session message

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

to
string

Recipient phone or WhatsApp BSUID.

Example:

"919876543210"

body
string

Text body. Required for text messages.

Example:

"YOUR_BODY"

type
string

text | image | video | document | audio. Default text. For reply buttons or a link button use type=button or type=cta_url (see Send interactive message).

Example:

"YOUR_TYPE"

url
string

Media URL. Required for media messages.

Example:

"YOUR_URL"

caption
string

Media caption.

Example:

"YOUR_CAPTION"

filename
string

Filename for documents.

Example:

"YOUR_FILENAME"

Body

application/json
to
string
required

Recipient phone or WhatsApp BSUID.

Example:

"919876543210"

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

body
string

Text body. Required for text messages.

Example:

"YOUR_BODY"

type
string

text | image | video | document | audio. Default text. For reply buttons or a link button use type=button or type=cta_url (see Send interactive message).

Example:

"YOUR_TYPE"

url
string

Media URL. Required for media messages.

Example:

"YOUR_URL"

caption
string

Media caption.

Example:

"YOUR_CAPTION"

filename
string

Filename for documents.

Example:

"YOUR_FILENAME"

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number